﻿* Encoding: UTF-8.
* create variables

RECODE resident_age_18m (-8 = -8) (1 thru 3 = 1) (4 thru 5 = 2) (6 thru 7 = 3) (8 thru 9 = 4)
    (10 thru 11 = 5) (12 thru 13 = 6) (14 thru 15 = 7) (16 thru 18 = 8) INTO xage.
VARIABLE LABELS xage 'Age banded'.
VALUE LABELS xage
    1 'under 16'
    2 '16-24'
    3 '25-34'
    4 '35-44'
    5 '45-54'
    6 '55-64'
    7 '65-74'
    8 '75 or over'.
MISSING VALUES xage (-8).

COMPUTE xpradd = address_1_year_ago.
VARIABLE LABELS xpradd 'Address one year ago'.
VALUE LABELS xpradd
    -8 'does not apply'
    1 'same address'
    2 'within local authority'
    3 'within UK'
    4 'outside the UK'.
MISSING VALUES xpradd (-8).

RECODE country_of_birth_10a (-8=-8) (1=1) (2 thru 4 = 2) (5=3) (6=4) (7=5) (8=6) (9=7) INTO xcob.
VARIABLE LABELS xcob 'Country of birth'.
VALUE LABELS xcob
    -8 'does not apply'
    1 'UK'
    2 'European Union'
    3 'Rest of Europe'
    4 'Africa'
    5 'Middle East and Asia'
    6 'Americas and the Caribbean'
    7 'Oceania'.
MISSING VALUES xcob (-8).

COMPUTE xdisable = disability_4a.
VARIABLE LABELS xdisable 'Disabled (under the Equality Standard'.
VALUE LABELS xdisable 
    -8 'does not apply'
    1 'Disabled, activities limited a lot'
    2 'Disabled, activities limited a little'
    3 'Disabled, activities not limited'.
MISSING VALUES xdisable (-8).

RECODE economic_activity_status_15m 
    (-8=-8) (1=2) (3=2) (5=2) (2=1) (4=1) (6=1) (8=1) (7=3) (9=3) (10=4) (11 THRU 14=5)
    INTO xeconact.
VARIABLE LABELS xeconact 'Economic activity'.
VALUE LABELS xeconact
    -8 'does not apply'
    1 'Full time work'
    2 'Part time work'
    3 'Unemployed'
    4 'Retired'
    5 'Other economically inactive'.
MISSING VALUES xeconact (-8).

COMPUTE XSTUDENT=0.
IF (economic_activity_status_15m = 7) xstudent=1.
IF (economic_activity_status_15m = 9) xstudent=1.
IF (economic_activity_status_15m = 11) xstudent=1.

VARIABLE LABELS xstudent ' Student'.
VALUE LABELS xstudent
    0 'Not a student'
    1 'Student'.

RECODE ethnic_group_tb_20b
    (1=8) (2=9) (3=6) (4=7) (5=10) (6=11) (7=12) (8=13) (9=16) (10=14) (11=15) (12=17) 
    (-8=-8) (13=1) (14=2) (15=3) (16=4) (17=5) (18=18) (19=19)
    INTO xethnic.
VARIABLE LABELS xethnic 'Ethnic group'.
VALUE LABELS xethnic
    -8 'does not apply'
    1 'White British'    
    2 'White Irish'    
    3 'Gypsy or Irish Traveller'    
    4 'Roma'    
    5 'White other'    
    6 'Indian'    
    7 'Pakistani'    
    8 'Bangladeshi'    
    9 'Chinese'    
    10 'Asian other'    
    11 'Black African'    
    12 'Black Caribbean'    
    13 'Black other'    
    14 'Mixed white and Asian'    
    15 'Mixed white and Black African'    
    16 'Mixed white and Black Caribbean'    
    17 'Mixed other'    
    18 'Arab'
    19 'Other ethnic group'.
MISSING VALUES xethnic (-8).

RECODE year_arrival_uk (-8 = -8) (1 = 1) (2 thru 4=2) (5=3) (6=4) (7=5) (8=6) (9 thru 12=7) INTO xyar.
VARIABLE LABELS xyar 'Year of arrival in the UK'.
VALUE LABELS xyar
    -8 'does not apply'
    1 'Born in the UK'
    2 ' Before 1971'
    3 '1971 - 1980'
    4 '1981 - 1990'
    5 '1991 - 2000'
    6 '2001 - 2010'
    7 '2011 - 2021'.
MISSING VALUES xyar (-8).

COMPUTE xhealth = health_in_general.
VARIABLE LABELS xhealth 'Self rated health'.
VALUE LABELS xhealth
    -8 'does not apply'
    1 'Very good'
    2 'Good'
    3 'Fair'
    4 'Bad'
    5 'Very bad'.
MISSING VALUES xhealth (-8).    

COMPUTE xhd = hh_deprivation_housing.
VARIABLE LABELS xhd 'Housing deprived household'.
VALUE LABELS xhd
    -8 'does not apply'
    0 'Not housing deprived'
    1 'Housing deprived'.
MISSING VALUES xhd (-8).

RECODE hh_tenure (-8 = -8) (0 = 0) (1 thru 2 = 1) (3 thru 4 = 2) (5 thru 8 = 3) (9 = 4) INTO xtenure.
VARIABLE LABELS xtenure 'Household tenure'.
VALUE LABELS xtenure
    -8 'does not apply'
    0 'Owned outright'
    1 'Owned with a mortgage or shared ownership'
    2 'Social rent'
    3 'Private rent'
    4 'Rent free'.
MISSING VALUES xtenure (-8).

COMPUTE xhlq = highest_qualification.
VARIABLE LABELS xhlq 'Highest level of qualification'.
VALUE LABELS xhlq
    -8 'does not apply'
    0 'No qualifications'
    1 'Level 1 qualifications'
    2 'Level 2 qualifications'
    3 'Apprenticeship'
    4 'Level 3 qualifications'
    5 'Level 5 qualifications'
    6 'Other qualifications'.
MISSING VALUES xhlq (-8).

COMPUTE xsex = sex.
VARIABLE LABELS xsex 'Sex'.
VALUE LABELS xsex
    1 ' Female'
    2 'Male'.

RECODE ns_sec (1 thru 5 = 1) (6 thru 11 = 2) (12 thru 13 = 3) (14 thru 15 = 4) (16 = 5) INTO xnssec.
VARIABLE LABELS xnssec 'NSSEC of Household reference person'.
VALUE LABELS xnssec
    1 'Professional or managerial'
    2 'Intermediate or self employed'
    3 'Routine'
    4 'Never worked or long-term unemployed'
    5 'Student.'.
EXECUTE.
        
* full set - 500K records

DATASET DECLARE mcdagg.
SORT CASES BY xage xsex xnssec xethnic xtenure xdisable xyar xhealth xhd xhlq.
AGGREGATE
  /OUTFILE='mcdagg'
  /PRESORTED
  /BREAK= xage xsex xnssec xethnic xtenure xdisable  xyar xhealth xhd xhlq
  /xcount=N.

CODEBOOK.


SAVE TRANSLATE OUTFILE='C:\Users\msrajnd4\OneDrive - The University of Manchester\census\microdata\aggregate LA microdata.xlsx'
  /TYPE=XLS
  /VERSION=12
  /MAP
  /FIELDNAMES VALUE=NAMES
  /CELLS=VALUES
  /REPLACE.

